Get a list

Get a list

get
/workspaces/{workspaceId}/lists/{listId}

Get the specified list given its ID.

Authorizations
AuthorizationstringRequired

An access token issued to a user.

Path parameters
workspaceIdstring · uuidRequired

Your workspace identifier.

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
listIdstring · uuidRequired

The ID of a list.

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
Responses
chevron-right
200

The list was returned successfully.

application/json
idstringRequired

The unique identifier for the list.

Example: 123e4567-e89b-12d3-a456-426614174000
namestringRequired

The name of the list.

Example: US Customers
descriptionstringRequired

The description of the list.

Example: A list of all US customers
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
contactCountintegerOptional

The number of contacts in the list.

Example: 100
consentTypestring · enumOptional

The consent type for the list.

Possible values:
tagsstring · uuid[]Optional

The tags associated with the list.

Example: 123e4567-e89b-12d3-a456-426614174000
isProofbooleanOptional

The list is used as a proof list to use it as a test list in campaigns.

get
/workspaces/{workspaceId}/lists/{listId}

Examples

Let's establish some of our data that will be used in the following examples:

  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352

  • AccessKey: abcd

  • List ID: 123e4567-e89b-12d3-a456-426614174000

Get a list

In this example, we are fetching the list given its ID.

Last updated

Was this helpful?